diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index 6f7e98f..26c0cac 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -2653,8 +2653,8 @@ static char volumeMask_bits[] = {
 @
 
 \chapter{viewman}
-\subsection{cleanup.c.pamphlet}
-<<viewman/cleanup.c.pamphlet>>=
+\subsection{cleanup.c}
+<<viewman/cleanup.c>>=
 #define _CLEANUP_C
 
 #include <stdlib.h>
@@ -2667,7 +2667,7 @@ static char volumeMask_bits[] = {
 #include <signal.h>
 #include <sys/wait.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 #include "actions.h"
 
 #include "util.h1"
@@ -2829,8 +2829,8 @@ goodbye(int sig)
 
 
 @
-\subsection{fun2d.c.pamphlet}
-<<viewman/fun2d.c.pamphlet>>=
+\subsection{fun2d.c}
+<<viewman/fun2d.c>>=
 #define _FUN2D_C
 
 #include <stdlib.h>
@@ -2840,7 +2840,7 @@ goodbye(int sig)
 
 
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 #include "actions.h"
 
 #include "util.h1"
@@ -3173,8 +3173,8 @@ sendGraphToView2D(int i,int there,viewManager *viewport,
 }
 
 @
-\subsection{fun3d.c.pamphlet}
-<<viewman/fun3d.c.pamphlet>>=
+\subsection{fun3d.c}
+<<viewman/fun3d.c>>=
 #define _FUN3D_C
 
 #include <stdlib.h>
@@ -3182,7 +3182,7 @@ sendGraphToView2D(int i,int there,viewManager *viewport,
 #include <stdio.h>
 #include <string.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 <<include/mode.h>>
 #include "actions.h"
   
@@ -3528,11 +3528,11 @@ extern int checkClosedChild,
            foundBrokenPipe;
 extern char propertyBuffer[];
 @
-\subsection{make2d.c.pamphlet}
-<<viewman/make2d.c.pamphlet>>=
+\subsection{make2d.c}
+<<viewman/make2d.c>>=
 #define _MAKE2D_C
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 
 #include "sockio-c.h1"
 #include "make2d.h1"
@@ -3574,13 +3574,13 @@ makeView2DFromSpadData(view2DStruct *viewdata,graphStateStruct graphState[])
   }
 }
 @
-\subsection{make3d.c.pamphlet}
-<<viewman/make3d.c.pamphlet>>=
+\subsection{make3d.c}
+<<viewman/make3d.c>>=
 #define _MAKE3D_C
 
 #include <stdlib.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 <<include/mode.h>>
 
 #include "sockio-c.h1"
@@ -3702,7 +3702,7 @@ makeView3DFromSpadData(view3DStruct *viewdata,int typeOfViewport)
 @
 \subsection{Makefile.pamphlet}
 <<viewman/Makefile>>=
-IN=	${SRC}/graph/viewman
+BOOK=${SPD}/books/bookvol8.pamphlet
 MIDINT=	${INT}/graph/viewman
 MIDOBJ=	${OBJ}/${SYS}/graph/viewman
 OUT=	${MNT}/${SYS}/lib
@@ -3716,217 +3716,116 @@ LINC=	${SRC}/graph/include
 GINC=	${SRC}/include
 
 
-CFLAGS  = ${CCF} -I${LINC} -I${GINC} -I${IN}
+CFLAGS  = ${CCF} -I${LINC} -I${GINC} 
 LDFLAGS = ${LDF} -lX11
 
-DOCFILES=${DOC}/viewman.c.dvi ${DOC}/sselect.c.dvi ${DOC}/cleanup.c.dvi \
-         ${DOC}/fun2d.c.dvi   ${DOC}/make2d.c.dvi  ${DOC}/makegraph.c.dvi \
-         ${DOC}/fun3d.c.dvi   ${DOC}/make3d.c.dvi  ${DOC}/readview.c.dvi
-
 OBJS=   ${MIDOBJ}/viewman.o ${MIDOBJ}/readview.o  ${MIDOBJ}/make3d.o \
 	${MIDOBJ}/fun3d.o   ${MIDOBJ}/makegraph.o ${MIDOBJ}/make2d.o \
         ${MIDOBJ}/fun2d.o   ${MIDOBJ}/cleanup.o   ${MIDOBJ}/sselect.o \
         ${OBJ}/${SYS}/lib/sockio-c.o
 
-HEADERS= ${IN}/viewman.h       ${LINC}/component.h ${LINC}/view2d.h  \
+HEADERS= ${LINC}/component.h ${LINC}/view2d.h  \
          ${LINC}/view3d.h      ${LINC}/tube.h      ${LINC}/actions.h \
          ${LINC}/viewcommand.h ${GINC}/com.h
 
-all: ${OBJS} ${OUT}/viewman ${DOCFILES}
-	@ echo 30 finished ${IN}
+all: ${OBJS} ${OUT}/viewman 
+	@ echo 30 finished viewman from bookvol8
 
 ${OUT}/viewman: ${OBJS} ${LIB}/util.o ${LIB}/bsdsignal.o
 	@ echo 1 linking ${OUT}/viewman
-	@ ${CC} ${OBJS} -o ${OUT}/viewman ${LIB}/util.o ${LIB}/bsdsignal.o ${LDFLAGS}
+	@ ${CC} ${OBJS} -o ${OUT}/viewman ${LIB}/util.o \
+            ${LIB}/bsdsignal.o ${LDFLAGS}
 
-
-${MIDINT}/viewman.c: ${IN}/viewman.c.pamphlet
-	@ echo 2 ${MIDINT}/viewman.c from ${IN}/viewman.c.pamphlet
+${MIDINT}/viewman.c: ${BOOK}
+	@ echo 2 ${MIDINT}/viewman.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/viewman.c.pamphlet >viewman.c )
+	${TANGLE} -R"viewman/viewman.c" ${BOOK} >viewman.c )
 
 ${MIDOBJ}/viewman.o: ${HEADERS} ${MIDINT}/viewman.c
 	@ echo 3 making ${MIDOBJ}/viewman.o from ${MIDINT}/viewman.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/viewman.c )
 
-${DOC}/viewman.c.dvi: ${IN}/viewman.c.pamphlet 
-	@echo 4 making ${DOC}/viewman.c.dvi from ${IN}/viewman.c.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/viewman.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} viewman.c ; \
-	rm -f ${DOC}/viewman.c.pamphlet ; \
-	rm -f ${DOC}/viewman.c.tex ; \
-	rm -f ${DOC}/viewman.c )
-
-
-${MIDINT}/sselect.c: ${IN}/sselect.c.pamphlet
-	@ echo 5 ${MIDINT}/sselect.c from ${IN}/sselect.c.pamphlet
+${MIDINT}/sselect.c: ${BOOK}
+	@ echo 5 ${MIDINT}/sselect.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/sselect.c.pamphlet >sselect.c )
+	${TANGLE} -R"viewman/sselect.c" ${BOOK} >sselect.c )
 
 ${MIDOBJ}/sselect.o: ${HEADERS} ${MIDINT}/sselect.c
 	@ echo 6 making ${MIDOBJ}/sselect.o from ${MIDINT}/sselect.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/sselect.c )
 
-${DOC}/sselect.c.dvi: ${IN}/sselect.c.pamphlet 
-	@echo 7 making ${DOC}/sselect.c.dvi from ${IN}/sselect.c.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/sselect.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} sselect.c ; \
-	rm -f ${DOC}/sselect.c.pamphlet ; \
-	rm -f ${DOC}/sselect.c.tex ; \
-	rm -f ${DOC}/sselect.c )
-
-
-${MIDINT}/cleanup.c: ${IN}/cleanup.c.pamphlet
-	@ echo 8 ${MIDINT}/cleanup.c from ${IN}/cleanup.c.pamphlet
+${MIDINT}/cleanup.c: ${BOOK}
+	@ echo 8 ${MIDINT}/cleanup.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/cleanup.c.pamphlet >cleanup.c )
+	${TANGLE} -R"viewman/cleanup.c" ${BOOK} >cleanup.c )
 
 ${MIDOBJ}/cleanup.o: ${HEADERS} ${MIDINT}/cleanup.c
 	@ echo 9 making ${MIDOBJ}/cleanup.o from ${MIDINT}/cleanup.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/cleanup.c )
 
-${DOC}/cleanup.c.dvi: ${IN}/cleanup.c.pamphlet 
-	@echo 10 making ${DOC}/cleanup.c.dvi from ${IN}/cleanup.c.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/cleanup.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} cleanup.c ; \
-	rm -f ${DOC}/cleanup.c.pamphlet ; \
-	rm -f ${DOC}/cleanup.c.tex ; \
-	rm -f ${DOC}/cleanup.c )
-
-
-${MIDINT}/fun2d.c: ${IN}/fun2d.c.pamphlet
-	@ echo 11 ${MIDINT}/fun2d.c from ${IN}/fun2d.c.pamphlet
+${MIDINT}/fun2d.c: ${BOOK}
+	@ echo 11 ${MIDINT}/fun2d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/fun2d.c.pamphlet >fun2d.c )
+	${TANGLE} -R"viewman/fun2d.c" ${BOOK} >fun2d.c )
 
 ${MIDOBJ}/fun2d.o: ${HEADERS} ${MIDINT}/fun2d.c
 	@ echo 12 making ${MIDOBJ}/fun2d.o from ${MIDINT}/fun2d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/fun2d.c )
 
-${DOC}/fun2d.c.dvi: ${IN}/fun2d.c.pamphlet 
-	@echo 13 making ${DOC}/fun2d.c.dvi from ${IN}/fun2d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/fun2d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} fun2d.c ; \
-	rm -f ${DOC}/fun2d.c.pamphlet ; \
-	rm -f ${DOC}/fun2d.c.tex ; \
-	rm -f ${DOC}/fun2d.c )
-
-
-${MIDINT}/make2d.c: ${IN}/make2d.c.pamphlet
-	@ echo 14 ${MIDINT}/make2d.c from ${IN}/make2d.c.pamphlet
+${MIDINT}/make2d.c: ${BOOK}
+	@ echo 14 ${MIDINT}/make2d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/make2d.c.pamphlet >make2d.c )
+	${TANGLE} -R"viewman/make2d.c" ${BOOK} >make2d.c )
 
 ${MIDOBJ}/make2d.o: ${HEADERS} ${MIDINT}/make2d.c
 	@ echo 15 making ${MIDOBJ}/make2d.o from ${MIDINT}/make2d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/make2d.c )
 
-${DOC}/make2d.c.dvi: ${IN}/make2d.c.pamphlet 
-	@echo 16 making ${DOC}/make2d.c.dvi from ${IN}/make2d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/make2d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} make2d.c ; \
-	rm -f ${DOC}/make2d.c.pamphlet ; \
-	rm -f ${DOC}/make2d.c.tex ; \
-	rm -f ${DOC}/make2d.c )
-
-
-${MIDINT}/makegraph.c: ${IN}/makegraph.c.pamphlet
-	@ echo 17 ${MIDINT}/makegraph.c from ${IN}/makegraph.c.pamphlet
+${MIDINT}/makegraph.c: ${BOOK}
+	@ echo 17 ${MIDINT}/makegraph.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/makegraph.c.pamphlet >makegraph.c )
+	${TANGLE} -R"viewman/makegraph.c" ${BOOK} >makegraph.c )
 
 ${MIDOBJ}/makegraph.o: ${HEADERS} ${MIDINT}/makegraph.c
 	@ echo 18 making ${MIDOBJ}/makegraph.o from ${MIDINT}/makegraph.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/makegraph.c )
 
-${DOC}/makegraph.c.dvi: ${IN}/makegraph.c.pamphlet 
-	@echo 19 making ${DOC}/makegraph.c.dvi from ${IN}/makegraph.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/makegraph.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} makegraph.c ; \
-	rm -f ${DOC}/makegraph.c.pamphlet ; \
-	rm -f ${DOC}/makegraph.c.tex ; \
-	rm -f ${DOC}/makegraph.c )
-
-
-${MIDINT}/fun3d.c: ${IN}/fun3d.c.pamphlet
-	@ echo 20 ${MIDINT}/fun3d.c from ${IN}/fun3d.c.pamphlet
+${MIDINT}/fun3d.c: ${BOOK}
+	@ echo 20 ${MIDINT}/fun3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/fun3d.c.pamphlet >fun3d.c )
+	${TANGLE} -R"viewman/fun3d.c" ${BOOK} >fun3d.c )
 
 ${MIDOBJ}/fun3d.o: ${HEADERS} ${MIDINT}/fun3d.c
 	@ echo 21 making ${MIDOBJ}/fun3d.o from ${MIDINT}/fun3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/fun3d.c )
 
-${DOC}/fun3d.c.dvi: ${IN}/fun3d.c.pamphlet 
-	@echo 22 making ${DOC}/fun3d.c.dvi from ${IN}/fun3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/fun3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} fun3d.c ; \
-	rm -f ${DOC}/fun3d.c.pamphlet ; \
-	rm -f ${DOC}/fun3d.c.tex ; \
-	rm -f ${DOC}/fun3d.c )
-
-
-${MIDINT}/make3d.c: ${IN}/make3d.c.pamphlet
-	@ echo 23 ${MIDINT}/make3d.c from ${IN}/make3d.c.pamphlet
+${MIDINT}/make3d.c: ${BOOK}
+	@ echo 23 ${MIDINT}/make3d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/make3d.c.pamphlet >make3d.c )
+	${TANGLE} -R"viewman/make3d.c" ${BOOK} >make3d.c )
 
 ${MIDOBJ}/make3d.o: ${HEADERS} ${MIDINT}/make3d.c
 	@ echo 24 making ${MIDOBJ}/make3d.o from ${MIDINT}/make3d.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/make3d.c )
 
-${DOC}/make3d.c.dvi: ${IN}/make3d.c.pamphlet 
-	@echo 25 making ${DOC}/make3d.c.dvi from ${IN}/make3d.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/make3d.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} make3d.c ; \
-	rm -f ${DOC}/make3d.c.pamphlet ; \
-	rm -f ${DOC}/make3d.c.tex ; \
-	rm -f ${DOC}/make3d.c )
-
-
-${MIDINT}/readview.c: ${IN}/readview.c.pamphlet
-	@ echo 26 ${MIDINT}/readview.c from ${IN}/readview.c.pamphlet
+${MIDINT}/readview.c: ${BOOK}
+	@ echo 26 ${MIDINT}/readview.c from ${BOOK}
 	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/readview.c.pamphlet >readview.c )
+	${TANGLE} -R"viewman/readview.c" ${BOOK} >readview.c )
 
 ${MIDOBJ}/readview.o: ${HEADERS} ${MIDINT}/readview.c
 	@ echo 27 making ${MIDOBJ}/readview.o from ${MIDINT}/readview.c
 	@ ( cd ${MIDOBJ} ; ${CC} ${CFLAGS} -c ${MIDINT}/readview.c )
 
-${DOC}/readview.c.dvi: ${IN}/readview.c.pamphlet 
-	@echo 28 making ${DOC}/readview.c.dvi from ${IN}/readview.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/readview.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} readview.c ; \
-	rm -f ${DOC}/readview.c.pamphlet ; \
-	rm -f ${DOC}/readview.c.tex ; \
-	rm -f ${DOC}/readview.c )
-
-
-clean: 
-	@ echo 31 cleaning ${IN}/viewman
-
-document: 
-	@ echo 32 documenting ${IN}/viewman
-
-
 @
-\subsection{makegraph.c.pamphlet}
-<<viewman/makegraph.c.pamphlet>>=
+\subsection{makegraph.c}
+<<viewman/makegraph.c>>=
 #define _MAKEGRAPH_C
 
 #include <stdlib.h>
 #include <stdio.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 
 #include "sockio-c.h1"
 #include "makegraph.h1"
@@ -4022,15 +3921,15 @@ discardGraph (graphStruct *theGraph)
 
 }
 @
-\subsection{readview.c.pamphlet}
-<<viewman/readview.c.pamphlet>>=
+\subsection{readview.c}
+<<viewman/readview.c>>=
 #define _READVIEW_C
 
 #include <unistd.h>
 #include <stdio.h>
 #include <errno.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 
 #include "cleanup.h1"
 
@@ -4047,8 +3946,8 @@ again:
 }
 
 @
-\subsection{sselect.c.pamphlet}
-<<viewman/sselect.c.pamphlet>>=
+\subsection{sselect.c}
+<<viewman/sselect.c>>=
 #define _SSELECT_C
 
 #include <stdio.h>
@@ -4057,7 +3956,7 @@ again:
 #include <sys/wait.h>
 #include <signal.h>
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 #include "bsdsignal.h"
 
 #include "sockio-c.h1"
@@ -4109,8 +4008,10 @@ superSelect(int n, int *rd, int *wr, int *ex, char *timeout)
   }
   return ret_val;
 }
-\subsection{viewman.c.pamphlet}
-<<viewman/viewman.c.pamphlet>>=
+
+@
+\subsection{viewman.c}
+<<viewman/viewman.c>>=
 #define _VIEWMAN_C
 
 #include <unistd.h>
@@ -4123,7 +4024,7 @@ superSelect(int n, int *rd, int *wr, int *ex, char *timeout)
 #include <bstring.h>
 #endif
 
-#include "viewman.h"
+<<viewman/viewman.h>>
 <<include/mode.h>>
 #include "actions.h"
 <<include/viewcommand.h>>
@@ -4344,7 +4245,7 @@ main (void)
 
 
 #include "com.h"
-#include "globalsm.h"
+<<viewman/globalsm.h>>
 @
 \chapter{viewalone}
 \section{Makefile.pamphlet}
@@ -7301,7 +7202,7 @@ ${OUT}/view2d: ${VIEW2D_OBJS} ${GDRAW_OBJS} ${LIBFILES}
 	@ ${CC} ${VIEW2D_OBJS} ${GDRAW_OBJS} ${LIBFILES} \
 	 -o ${OUT}/view2d $(LDFLAGS) 
 
-${MIDINT}/buttons2d.c: 
+${MIDINT}/buttons2d.c: ${BOOK}
 	@ echo 1 making ${MIDINT}/buttons2d.c from ${BOOK}
 	@( cd ${MIDINT} ; \
 	${TANGLE} -R"view2d/buttons2d.c" ${BOOK} >buttons2d.c )
diff --git a/changelog b/changelog
index 8f98c06..a24057b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080605 tpd books/bookvol8 make viewman
+20080605 tpd src/graph/Makefile extract viewman from bookvol8
 20080604 tpd src/graph/Makefile remove fileformats
 20080604 tpd src/graph/fileformats removed, replace by bookvol8
 20080604 tpd src/graph/view3d/Makefile removed, replace by bookvol8
diff --git a/src/graph/Makefile.pamphlet b/src/graph/Makefile.pamphlet
index 5fc687f..cf4f7b6 100644
--- a/src/graph/Makefile.pamphlet
+++ b/src/graph/Makefile.pamphlet
@@ -239,6 +239,7 @@ These variables are used to drive the make, make document, and
 make clean processes, respectively.
 
 <<environment>>=
+BOOK=${SPD}/books/bookvol8.pamphlet
 DIRS=viewmandir gdrawsdir view2ddir view3ddir viewalonedir
 DOCS=${DIRS:dir=document} 
 CLNS=${DIRS:dir=clean} 
@@ -247,29 +248,18 @@ CLNS=${DIRS:dir=clean}
 \subsection{The viewman directory}
 <<viewmandir>>=
 viewmandir: ${SRC}/graph/viewman/Makefile
-	@ echo 1 making ${SRC}/graph/viewman
-	@ mkdir -p ${INT}/graph/viewman
+	@ echo 1 making ${SRC}/graph/viewman 
 	@ mkdir -p ${OBJ}/${SYS}/graph/viewman
 	@ mkdir -p ${OBJ}/${SYS}/lib
 	@ mkdir -p ${MNT}/${SYS}/lib
 	@ mkdir -p ${MNT}/${SYS}/doc/src/graph
-	@(cd viewman ; ${ENV} ${MAKE} )
-
-${SRC}/graph/viewman/Makefile: ${SRC}/graph/viewman/Makefile.pamphlet
-	@echo 2 making ${SRC}/graph/viewman/Makefile from ${SRC}/graph/viewman/Makefile.pamphlet
-	@( cd viewman ; \
-           ${DOCUMENT} ${NOISE} Makefile ; \
-	   cp Makefile.dvi ${MNT}/${SYS}/doc/src/graph.viewman.Makefile.dvi )
-
-viewmandocument: ${SRC}/graph/viewman/Makefile
-	@echo 3 documenting ${SRC}/graph/viewman
-	@( cd viewman ; ${ENV} ${MAKE} document )
+	@(cd ${INT}/graph/viewman ; ${ENV} ${MAKE} )
 
-viewmanclean: ${SRC}/graph/viewman/Makefile
-	@echo 4 cleaning ${SRC}/graph/viewman
-	@( cd viewman ; ${ENV} ${MAKE} clean )
-	@rm -f ${SRC}/graph/viewman/Makefile
-	@rm -f ${SRC}/graph/viewman/Makefile.dvi
+${SRC}/graph/viewman/Makefile: ${BOOK}
+	@echo 2 making ${SRC}/graph/viewman/Makefile from ${BOOK}
+	@ mkdir -p ${INT}/graph/viewman
+	@( cd ${INT}/graph/viewman ; \
+	  ${TANGLE} -t8 -R"viewman/Makefile" ${BOOK} >Makefile )
 
 @
 \subsection{The gdraws directory}
@@ -311,24 +301,11 @@ view3ddir: ${SRC}/graph/view3d/Makefile
 	@mkdir -p ${MNT}/${SYS}/doc/src/graph
 	@(cd ${INT}/graph/view3d ; ${ENV} ${MAKE} )
 
-${SRC}/graph/view3d/Makefile: ${SPD}/books/bookvol8.pamphlet
-	@echo 10 making ${SRC}/graph/view3d/Makefile from \
-                ${SPD}/books/bookvol8.pamphlet
+${SRC}/graph/view3d/Makefile: ${BOOK}
+	@echo 10 making ${SRC}/graph/view3d/Makefile from ${BOOK}
 	@mkdir -p ${INT}/graph/view3d
 	@( cd ${INT}/graph/view3d ; \
-	  ${TANGLE} -t8 -R"view3d/Makefile" \
-                   ${SPD}/books/bookvol8.pamphlet >Makefile )
-
-
-view3ddocument: ${SRC}/graph/view3d/Makefile
-	@echo 11 documenting ${SRC}/graph/view3d
-	@( cd view3d ; ${ENV} ${MAKE} document )
-
-view3dclean: ${SRC}/graph/view3d/Makefile
-	@echo 12 cleaning ${SRC}/graph/view3d
-	@( cd view3d ; ${ENV} ${MAKE} clean )
-	@rm -f ${SRC}/graph/view3d/Makefile
-	@rm -f ${SRC}/graph/view3d/Makefile.dvi
+	  ${TANGLE} -t8 -R"view3d/Makefile" ${BOOK} >Makefile )
 
 @
 \subsection{The view2d directory}
@@ -341,13 +318,11 @@ view2ddir: ${INT}/graph/view2d/Makefile
 	@mkdir -p ${MNT}/${SYS}/doc/src/graph
 	@(cd ${INT}/graph/view2d ; ${ENV} ${MAKE} )
 
-${INT}/graph/view2d/Makefile: ${SPD}/books/bookvol8.pamphlet
-	@echo 14 making ${SRC}/graph/view2d/Makefile from \
-		${SPD}/books/bookvol8.pamphlet
+${INT}/graph/view2d/Makefile: ${BOOK}
+	@echo 14 making ${SRC}/graph/view2d/Makefile from ${BOOK}
 	@mkdir -p ${INT}/graph/view2d
 	@( cd ${INT}/graph/view2d ; \
-	  ${TANGLE} -t8 -R"view2d/Makefile" \
-                   ${SPD}/books/bookvol8.pamphlet >Makefile )
+	  ${TANGLE} -t8 -R"view2d/Makefile" ${BOOK} >Makefile )
 
 @
 \subsection{The viewalone directory}
